package com.ruoyi.project.ehs.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TRcfile;

/**
 * RC附件Mapper接口
 *
 * @author ssy
 * @date 2023-10-24
 */
public interface TRcfileMapper
{
    /**
     * 查询RC附件
     *
     * @param id RC附件ID
     * @return RC附件
     */
    public TRcfile selectTRcfileById(Long id);

    /**
     * 查询RC附件列表
     *
     * @param tRcfile RC附件
     * @return RC附件集合
     */
    @DataScope(deptAlias = "d")
    public List<TRcfile> selectTRcfileList(TRcfile tRcfile);

    /**
     * 新增RC附件
     *
     * @param tRcfile RC附件
     * @return 结果
     */
    public int insertTRcfile(TRcfile tRcfile);

    /**
     * 修改RC附件
     *
     * @param tRcfile RC附件
     * @return 结果
     */
    public int updateTRcfile(TRcfile tRcfile);

    /**
     * 删除RC附件
     *
     * @param id RC附件ID
     * @return 结果
     */
    public int deleteTRcfileById(Long id);

    /**
     * 批量删除RC附件
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTRcfileByIds(Long[] ids);
}
